GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List brands GETGet brand hub GETList brand engines GET
Brands

List brands GET

List the workspace's brands and the active brand. With a session, lists the active workspace's brands. With an API key, lists the brands of the key's workspace and returns the first brand as active.

List brand engines GET

The engines a brand tracks, with the response math for the plan cap.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Brands

Get brand hub

GET
/brands/{brandId}/hub

Read a brand's details, brand hub and draft status.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Response Body

Brand profile

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
name*string
website*string
domain*string
countryCode*string|null
languageCode*string
hub*
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/hub'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "website": "string",  "domain": "string",  "countryCode": "string",  "languageCode": "string",  "hub": {    "status": "pending",    "crawlStatus": "pending",    "logoUrl": "string",    "values": {      "aliases": [        "string"      ],      "shortDescription": "string",      "industrySlug": "string",      "toneOfVoice": "professional",      "toneOfVoiceCustom": "string",      "description": "string",      "keyFeatures": [        "string"      ],      "persona": {        "name": "string",        "description": "string",        "ageRange": "string",        "educationLevel": "string",        "gender": "female"      }    }  }}

List brands GET

List the workspace's brands and the active brand. With a session, lists the active workspace's brands. With an API key, lists the brands of the key's workspace and returns the first brand as active.

List brand engines GET

The engines a brand tracks, with the response math for the plan cap.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/hub'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "website": "string",
  "domain": "string",
  "countryCode": "string",
  "languageCode": "string",
  "hub": {
    "status": "pending",
    "crawlStatus": "pending",
    "logoUrl": "string",
    "values": {
      "aliases": [
        "string"
      ],
      "shortDescription": "string",
      "industrySlug": "string",
      "toneOfVoice": "professional",
      "toneOfVoiceCustom": "string",
      "description": "string",
      "keyFeatures": [
        "string"
      ],
      "persona": {
        "name": "string",
        "description": "string",
        "ageRange": "string",
        "educationLevel": "string",
        "gender": "female"
      }
    }
  }
}